Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Controller::MetaData Struct Reference

Sub controller metadata. More...

## Public Attributes
Type | type
| Controller type
string | address
| Sub controller address.
int | magic
| Magic code.
boolean | versionAvailable
| `true` if version information and serial number is available
int | fwAppVersion
| Firmware application version; 0 if unavailable.
int | fwBootVersion
| Firmware bootloader version; 0 if unavailable.
int | hwVersion
| Hardware version; 0 if unavailable.
string | serial
| Serial number; empty if unavailable.
boolean | haveResetCnt
| `true` if controller reset counter is available
boolean | haveEmResetCnt
| `true` if energy meter reset counter is available

## Detailed Description

Sub controller metadata.

The documentation for this struct was generated from the following file:

- Controller.idl